Get division leaderboard
curl --request GET \
--url https://softmax.com/api/observatory/v2/divisions/{division_id}/leaderboard \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/divisions/{division_id}/leaderboard"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/divisions/{division_id}/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"rank": 123,
"player_id": "<string>",
"score": 123,
"rounds_played": 123,
"player_name": "<string>",
"score_label": "Score",
"score_value_type": "number",
"episode_wins": 123,
"episodes_played": 123,
"win_rate": 123,
"policy_label": "<string>",
"recent_rounds": [
{
"id": "<string>",
"round_number": 123,
"status": "pending",
"rank": 123,
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"score": 123,
"episode_wins": 123,
"episodes_played": 123,
"policy_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Rounds
Get division leaderboard
Return the primary leaderboard for a visible division.
GET
/
v2
/
divisions
/
{division_id}
/
leaderboard
Get division leaderboard
Authorizations
Bearer token issued by Softmax
Path Parameters
Division whose primary leaderboard should be returned.
Pattern:
^div_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
Include each entry's recent per-round score history.
Response
LeaderboardEntryPublic · object[] | null
Successful Response
Player's position on the leaderboard.
Player represented by this entry.
Primary leaderboard value for this player.
Rounds represented by this entry.
Player display name.
Label for the primary leaderboard value.
Display format for the primary leaderboard value.
Available options:
number, integer, string, boolean, percent Episodes won, including tie credit.
Episodes represented by this entry.
Episode win rate from 0 to 1.
Policy label represented by this entry.
Recent round results, or null when they were not requested or published.
Show child attributes
Show child attributes